# Class LoadMeasureThreadJSON

java.lang.Object
java.lang.Thread
org.openscience.jmol.app.janocchio.LoadMeasureThread
org.openscience.jmol.app.janocchio.LoadMeasureThreadJSON

All Implemented Interfaces:
  `Runnable`

public class LoadMeasureThreadJSON extends LoadMeasureThread

## Nested Class Summary

### Nested classes/interfaces inherited from class Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class LoadMeasureThread

`inp, nmrPanel`

### Fields inherited from class Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`LoadMeasureThreadJSON(NMR_JmolPanel nmrPanel, Map<String,Object> jsonData)`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getNmrDataJSON()`
`int`
`jumpBestFrame()`
`protected void`
`setCouples()`
`protected boolean`
`setLabels()`
`protected void`
`setMore()`
`protected void`
`setNOEs()`
`void`
`writeNamfisFiles(String name)`
`void`
`writeNmrDataJSON(File file)`

### Methods inherited from class LoadMeasureThread

`addCommand, addCouple, addNOE, loadAndRun, run`

### Methods inherited from class Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, threadId, toString, yield`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LoadMeasureThreadJSON

public LoadMeasureThreadJSON(NMR_JmolPanel nmrPanel, Map<String,Object> jsonData)

## Method Details

### setMore

protected void setMore()

Overrides:
  `setMore` in class `LoadMeasureThread`

### setNOEs

protected void setNOEs()

Overrides:
  `setNOEs` in class `LoadMeasureThread`

### setCouples

protected void setCouples()

Overrides:
  `setCouples` in class `LoadMeasureThread`

### setLabels

protected boolean setLabels()

Overrides:
  `setLabels` in class `LoadMeasureThread`

### writeNamfisFiles

public void writeNamfisFiles(String name)

### writeNmrDataJSON

public void writeNmrDataJSON(File file) throws Exception

Throws:
  `Exception`

### getNmrDataJSON

public Map<String,Object> getNmrDataJSON()

### jumpBestFrame

public int jumpBestFrame()